#
# spec file for package python
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname automaton
Name:           python-%{sname}
Version:        1.4.0
Release:        3.3
Summary:        Friendly state machines for python
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad/%{sname}
Source0:        https://pypi.io/packages/source/a/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PrettyTable >= 0.7
BuildRequires:  python-debtcollector >= 1.2.0
BuildRequires:  python-devel
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-PrettyTable >= 0.7
Requires:       python-debtcollector >= 1.2.0
Requires:       python-pbr >= 1.6
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
Friendly state machines for python.

%package doc
Summary:        Documentation for the Automaton Library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Documentation for the Automaton library.

%prep
%setup -q -n %{sname}-%{version}

%build
%py2_build

# generate html docs
%{__python2} setup.py build_sphinx
# remove the Sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
PYTHONPATH=. %{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{sname}
%{python2_sitelib}/*.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Aug 26 2016 tbechtold@suse.com
- update to version 1.4.0:
  * Remove discover from test-requirements
  * Add Python 3.5 classifier and venv
  * Updated from global requirements
- Update _service and switch to upstream spec template
* Thu Mar  3 2016 tbechtold@suse.com
- update to 1.2.0:
  * Add a state-space machine building example
  * Ensure state space can also pass on_enter/exit callbacks
  * Updated from global requirements
  * Updated from global requirements
  * Ensure machine special method(s) include in generated docs
  * Put py34 first in the envlist order of tox ,remove py33
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Deprecated tox -downloadcache option removed
  * Updated from global requirements
  * Remove python 2.6 and cleanup tox.ini
  * Added code coverage section to tox
  * No need for Oslo Incubator Sync
  * Ignore generated files
  * docs - Set pbr 'warnerrors' option for doc build
  * Remove dummy/placeholder 'ChangeLog' as its not needed
  * Enhance the README
  * Fix the build path in .gitignore file
  * Updated from global requirements
  * Provide a finite machine build() method
  * Allow for raising on duplicate transition registration
- update Requires according to requirements.txt
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.7.0:
  * Updated from global requirements
  * Activate pep8 check that _ is imported
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file
* Tue Jul 28 2015 tbechtold@suse.com
- update to 0.5.0:
  * Ensure doctesting and doc8 testing done in py27 env
  * Updated from global requirements
  * Remove setup.cfg 'requires-python' incorrect entry
  * Document `process_event` return and expose return namedtuple type
  * Allow providing and using a 'nested_start_state_fetcher'
- add _service
- update Requires according to requirements.txt
* Wed Jul 22 2015 dmueller@suse.com
- Initial package (0.4.0)
